"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SummaryClient {
    constructor(httpClient) {
        this.httpClient = httpClient;
        this.summaryComponentsEndpoint = '/api/v1/summary/component';
    }
    async component(model) {
        const httpOptions = {
            url: this.summaryComponentsEndpoint,
            method: 'post',
            data: model
        };
        return await this.httpClient.doAuthRequest(httpOptions);
    }
}
exports.SummaryClient = SummaryClient;
//# sourceMappingURL=SummaryClient.js.map