import { IVersion } from '../model/System/Version';
import { HttpClient } from './HttpClient';
export declare class SystemClient {
    private readonly httpClient;
    private readonly pingEndpoint;
    private readonly versionEndpoint;
    constructor(httpClient: HttpClient);
    ping(): Promise<boolean>;
    version(): Promise<IVersion>;
}
