"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PREFIX = 'XrayClient::';
class XrayLogger {
    constructor(logger) {
        this.logger = logger;
    }
    warn(str) {
        this.logger.warn(PREFIX + str);
    }
    debug(str) {
        this.logger.debug(PREFIX + str);
    }
    error(str) {
        this.logger.error(PREFIX + str);
    }
}
exports.XrayLogger = XrayLogger;
//# sourceMappingURL=XrayLogger.js.map